Summary:	The GLib ICE (Interactive Connectivity Establishment) implementation
Summary(pl.UTF-8):	Implementacja ICE (Interactive Connectivity Establishment) oparta o GLib
Name:		libnice
Version:	0.1.4
Release:	2
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries
Source0:	http://nice.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	315c457b092980a4a9a0bea9f0723cce
URL:		http://nice.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.13
BuildRequires:	gstreamer-devel >= 1.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	gupnp-igd-devel >= 0.1.2
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.13
Requires:	gupnp-igd >= 0.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnice is an implementation of the IETF's draft Interactive
Connectivity Establishment standard (ICE). It provides GLib-based
library and GStreamer elements.

ICE is useful for applications that want to establish peer-to-peer UDP
data streams. It automates the process of traversing NATs and provides
security against some attacks.

Existing standards that use ICE include the Session Initiation
Protocol (SIP) and Jingle, XMPP extension for audio/video calls.

%description -l pl.UTF-8
libnice to implementacja standardu ICE (Interactive Connectivity
Establishment) wg szkicu IETF. Udostępnia bibliotekę opartą na
GLibie oraz elementy GStreamera.

ICE służy aplikacjom chcącym tworzyć strumienie danych UDP
peer-to-peer. Automatyzuje proces przechodzenia przez NAT i
zabezpiecza przed pewnymi atakami.

Istniejące standardy wykorzystujące ICE obejmują protokoły SIP
(Session Initiation Protocol) oraz Jingle (rozszerzenie XMPP dla
połączeń audio/video).

%package devel
Summary:	Header files for libnice library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnice
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.13
Requires:	gupnp-igd-devel >= 0.1.2

%description devel
Header files for libnice library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnice.

%package static
Summary:	Static libnice library
Summary(pl.UTF-8):	Statyczna biblioteka libnice
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnice library.

%description static -l pl.UTF-8
Statyczna biblioteka libnice.

%package apidocs
Summary:	libnice library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnice
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libnice library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnice.

%package -n gstreamer-nice
Summary:	ICE source plugin for GStreamer
Summary(pl.UTF-8):	Wtyczka źródła ICE dla GStreamera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer >= 1.0.0

%description -n gstreamer-nice
ICE source plugin for GStreamer.

%description -n gstreamer-nice -l pl.UTF-8
Wtyczka źródła ICE dla GStreamera.

%prep
%setup -q

%build
mkdir m4
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--without-gstreamer-0.10

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/stunbdc
%attr(755,root,root) %{_bindir}/stund
%attr(755,root,root) %{_libdir}/libnice.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnice.so.10

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnice.so
%{_includedir}/nice
%{_includedir}/stun
%{_pkgconfigdir}/nice.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnice.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libnice

%files -n gstreamer-nice
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstnice.so
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnice.git;a=log;h=master

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 2235a8b
- release 2 (by relup.sh)

* Tue Feb 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 0964b5a
- updated to 0.1.4

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 231049f
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sat Sep 29 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 51cab71
- Switch to gstreamer 1.0

* Fri Sep 21 2012 Jakub Bogusz <qboosh@pld-linux.org> f696920
- updated to 0.1.3
- separated gstreamer plugin

* Tue Apr 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 4417738
- updated to 0.1.2

* Tue Dec 27 2011 lisu <lisu@pld-linux.org> ce47622
- drop libtool files

* Fri Nov 18 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 502f52d
- release 2

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 2b824bc
- updated to 0.1.1

* Sat Feb 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 57c2b85
- pl
- adjusted BRs and devel deps
- disable silent-rules
- package COPYING (just license notes)

* Mon Jan 24 2011 Caleb Maclennan <caleb@alerque.com> 33992b8
- Up to 0.1.0
- Bump so version

* Fri Sep 10 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 5a69bc0
- updated to 0.0.13

* Thu May 13 2010 sparky <sparky@pld-linux.org> 6cb07c2
- BR: docbook-dtd412-xml

* Wed Mar 24 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 7a7a2dd
- updated to 0.0.11

* Thu Mar 04 2010 hawk <hawk@pld-linux.org> 08808fc
- release 2

* Wed Dec 30 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 2e0bfc0
- updated to 0.0.10

* Sun Aug 02 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 37330fc
- updated to 0.0.9

* Mon Jun 29 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 493b00e
- updated to 0.0.8

* Sat May 16 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4669be6
- updated to 0.0.6

* Wed Mar 18 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 891d594
- new

